clang 8.0.0

Classes | Namespaces | Enumerations
PreprocessorOptions.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/StringSet.h"`
`#include <memory>`
`#include <set>`
`#include <string>`
`#include <utility>`
`#include <vector>`
Include dependency graph for PreprocessorOptions.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::PreprocessorOptions
| PreprocessorOptions - This class is used for passing the various options used in preprocessor initialization to InitializePreprocessor(). More...
class | clang::PreprocessorOptions::FailedModulesSet
| Records the set of modules. More...

## Namespaces
| llvm
| DominatorTree GraphTraits specialization so the DominatorTree can be iterable by generic graph iterators.
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::ObjCXXARCStandardLibraryKind { clang::ARCXX_nolib, clang::ARCXX_libcxx, clang::ARCXX_libstdcxx }
| Enumerate the kinds of standard library that. More...